Subject: Ticket Assigned - Complaint - for urgent feedback and rectifying - Laura Wojciechowski
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 04 May 2021 10:08:16 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Complaint - for urgent feedback and rectifying - Laura Wojciechowski Hi there good morning,

Order reference#: 9657038585

I am writing to you as I have failed twice with agents to get this issue sorted.

  *   Placed order - specified delivery date so chose delvery option rather than click & collect to keep safer at home.

  *   Yesterday, followed up on order - first agaent was very rude said I shouldnt be calling so soon and to wait! I explained the delivery was for a birthday gift so I would have opted to collect, asked if she could please check, follow up on the status of the order and ask a manager to call me back - NO Follow up or change of status on website, No call back from a manager or NO order delivered.

  *   Today - followed up again this morning - equally as unhelpful agent, whi said the manager would only call when there is an update and they know when the order is coming to wait. Again i asked for timeline as the birthday was yesterday and Id prefer to collect.

  *   I’ve just checked the website as I won’t call again to be handled & spoken to in such a manner by a HELPLINE as a customer, the website now showing a tracking number - clicked the tacking number and nothing? - See attached screenshot.

I’d really like to know as urgent:

  1.  Where is my order?
  2.  When will I receive it?
  3.  What are you going to do do rectify the situation?

I really feel you need to train your agents to be more supportive, I called as a last resort, your website and agents are not connected or share the same information.  Also disappointing a manager still hasn't called me back either.

So far a really unpleasant experience and I am desperate to know where the products are as its was birthday gifts for my sisters birthday yesterday, I went to see her with no gifts.

Awaiting your urgent feedback on all the above - thanks so much.

Thanks & kindest regards
Laura Wojciechowski
Media Director
+971 55 924 8846
“In tough times, you must provide a better experience.”
Connect with me at https://www.linkedin.com/in/laura-wojciechowski-2656b649/

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2500443